/*****************************************************************/
/*     Copyright (c) 2012 by SAS Institute Inc., Cary, NC,USA.   */
/*                     All Rights Reserved.                      */
/*       This software is protected by copyright laws and        */
/*                    international treaties                     */
/*                                                               */
/*               U.S. Government Restricted Rights               */
/* Use, duplication, or disclosure of this software and related  */
/*    documentation by the U.S. government is subject to the     */
/*  Agreement with SAS Institute and the restrictions set forth  */
/*       in FAR 52.227-19, Commercial Computer Software -        */
/*                Restricted Rights ( June 1987 )                */
/*                                                               */
/*****************************************************************/
/********************************************************************************************/
/* NAME: mawtstrm                                                                           */
/* VERSION: 5.41                                                                             */
/* DESCRIPTION:  This Stored Process allows a STP to wait for a stream to become available  */
/* PRODUCT: MA                                                                              */
/* USAGE: mawtstrm(streamname)                                                              */
/*   fillstream=target 'filename' reference to fill with the stream data                    */
/*              using 'fillstream' means that the XML stream does not have to be rewindable */
/*                                                                                          */
/********************************************************************************************/
%macro mawtstrm(streamname,fillstream=);
%mend;
