/*****************************************************************/
/*  Copyright (c) 2007 - 2012 by SAS Institute Inc., Cary, NC,   */
/*                    USA.                                       */
/*             All Rights Reserved.                              */
/*  This software is protected by copyright laws and             */
/*               international treaties                          */ 
/*                                                               */
/*         U.S. Government Restricted Rights                     */
/* Use, duplication, or disclosure of this software and related  */
/*  documentation by the U.S. government is subject to the       */ 
/*   Agreement with SAS Institute and the restrictions set forth */ 
/*  in FAR 52.227-19, Commercial Computer Software -             */
/*              Restricted Rights ( June 1987 )                  */
/*                                                               */
/*****************************************************************/
/* NAME: ma_verify_tables                                        */ 
/* VERSION: 6.1                                                  */ 
/* DESCRIPTION: MA verify existence of tables SP                 */ 
/*                                                               */ 
/* PRODUCT: MA                                                   */ 
/* USAGE: %ma_verify_tables(  );                                 */ 
/*                                                               */ 
/*****************************************************************/ 
/* Check Table Existence and return those that do not exist      */
%global tblLibrary;

filename temp temp;
%let _ODSOPTIONS=%str(body=temp);
options mprint;
*ProcessBody;

%stpbegin;
%maspinit(xmlstream=vermeta);

/* Inline macro to execute macro and catch errors. */
%macro exec_macro;
    %matblxst(WORK.INVOKE_LIBRARIES, WORK.TABLE_NAMES, WORK.DIRECTORY_NAMES, WORK.LIBRARY_NAMES, &_stpwork);
%mend;
%exec_macro;

%mastatus( &_stpwork.results.txt );
libname _all_ clear;

%stpend;

filename temp clear;
